# Table of Contents

- [Table of Contents](#table-of-contents)
- [Neovim Lua Development](#neovim-lua-development)
    - [Neovim Lua REPL](#neovim-lua-repl)
    - [Development Tools](#development-tools)
    - [Testing](#testing)
    - [Fennel](#fennel)
    - [Colorscheme Creation](#colorscheme-creation)

  - [Neovim Lua REPL](#neovim-lua-repl)
  - [Development Tools](#development-tools)
  - [Testing](#testing)
  - [Fennel](#fennel)
  - [Colorscheme Creation](#colorscheme-creation)

# Neovim Lua Development

- [folke/lua-dev.nvim](https://github.com/folke/lua-dev.nvim) ![](https://img.shields.io/github/stars/folke/lua-dev.nvim) ![](https://img.shields.io/github/last-commit/folke/lua-dev.nvim) ![](https://img.shields.io/github/commit-activity/y/folke/lua-dev.nvim)
- [notomo/lreload.nvim](https://github.com/notomo/lreload.nvim) ![](https://img.shields.io/github/stars/notomo/lreload.nvim) ![](https://img.shields.io/github/last-commit/notomo/lreload.nvim) ![](https://img.shields.io/github/commit-activity/y/notomo/lreload.nvim)
- [notomo/tracebundler.nvim](https://github.com/notomo/tracebundler.nvim) ![](https://img.shields.io/github/stars/notomo/tracebundler.nvim) ![](https://img.shields.io/github/last-commit/notomo/tracebundler.nvim) ![](https://img.shields.io/github/commit-activity/y/notomo/tracebundler.nvim)

### Neovim Lua REPL

- [rafcamlet/nvim-luapad](https://github.com/rafcamlet/nvim-luapad) ![](https://img.shields.io/github/stars/rafcamlet/nvim-luapad) ![](https://img.shields.io/github/last-commit/rafcamlet/nvim-luapad) ![](https://img.shields.io/github/commit-activity/y/rafcamlet/nvim-luapad)
- [bfredl/nvim-luadev](https://github.com/bfredl/nvim-luadev) ![](https://img.shields.io/github/stars/bfredl/nvim-luadev) ![](https://img.shields.io/github/last-commit/bfredl/nvim-luadev) ![](https://img.shields.io/github/commit-activity/y/bfredl/nvim-luadev)
- [jbyuki/one-small-step-for-vimkind](https://github.com/jbyuki/one-small-step-for-vimkind) ![](https://img.shields.io/github/stars/jbyuki/one-small-step-for-vimkind) ![](https://img.shields.io/github/last-commit/jbyuki/one-small-step-for-vimkind) ![](https://img.shields.io/github/commit-activity/y/jbyuki/one-small-step-for-vimkind)
- [ii14/nrepl.nvim](https://github.com/ii14/nrepl.nvim) ![](https://img.shields.io/github/stars/ii14/nrepl.nvim) ![](https://img.shields.io/github/last-commit/ii14/nrepl.nvim) ![](https://img.shields.io/github/commit-activity/y/ii14/nrepl.nvim)

### Development Tools

- [tjdevries/nlua.nvim](https://github.com/tjdevries/nlua.nvim) ![](https://img.shields.io/github/stars/tjdevries/nlua.nvim) ![](https://img.shields.io/github/last-commit/tjdevries/nlua.nvim) ![](https://img.shields.io/github/commit-activity/y/tjdevries/nlua.nvim)
- [tjdevries/vlog.nvim](https://github.com/tjdevries/vlog.nvim) ![](https://img.shields.io/github/stars/tjdevries/vlog.nvim) ![](https://img.shields.io/github/last-commit/tjdevries/vlog.nvim) ![](https://img.shields.io/github/commit-activity/y/tjdevries/vlog.nvim)

### Testing

- [notomo/vusted](https://github.com/notomo/vusted) ![](https://img.shields.io/github/stars/notomo/vusted) ![](https://img.shields.io/github/last-commit/notomo/vusted) ![](https://img.shields.io/github/commit-activity/y/notomo/vusted)

### Fennel

- [Olical/aniseed](https://github.com/Olical/aniseed) ![](https://img.shields.io/github/stars/Olical/aniseed) ![](https://img.shields.io/github/last-commit/Olical/aniseed) ![](https://img.shields.io/github/commit-activity/y/Olical/aniseed)
- [rktjmp/hotpot.nvim](https://github.com/rktjmp/hotpot.nvim) ![](https://img.shields.io/github/stars/rktjmp/hotpot.nvim) ![](https://img.shields.io/github/last-commit/rktjmp/hotpot.nvim) ![](https://img.shields.io/github/commit-activity/y/rktjmp/hotpot.nvim)
- [tsbohc/zest.nvim](https://github.com/tsbohc/zest.nvim) ![](https://img.shields.io/github/stars/tsbohc/zest.nvim) ![](https://img.shields.io/github/last-commit/tsbohc/zest.nvim) ![](https://img.shields.io/github/commit-activity/y/tsbohc/zest.nvim)
- [udayvir-singh/hibiscus.nvim](https://github.com/udayvir-singh/hibiscus.nvim) ![](https://img.shields.io/github/stars/udayvir-singh/hibiscus.nvim) ![](https://img.shields.io/github/last-commit/udayvir-singh/hibiscus.nvim) ![](https://img.shields.io/github/commit-activity/y/udayvir-singh/hibiscus.nvim)
- [udayvir-singh/tangerine.nvim](https://github.com/udayvir-singh/tangerine.nvim) ![](https://img.shields.io/github/stars/udayvir-singh/tangerine.nvim) ![](https://img.shields.io/github/last-commit/udayvir-singh/tangerine.nvim) ![](https://img.shields.io/github/commit-activity/y/udayvir-singh/tangerine.nvim)

### Colorscheme Creation

- [tjdevries/colorbuddy.nvim](https://github.com/tjdevries/colorbuddy.nvim) ![](https://img.shields.io/github/stars/tjdevries/colorbuddy.nvim) ![](https://img.shields.io/github/last-commit/tjdevries/colorbuddy.nvim) ![](https://img.shields.io/github/commit-activity/y/tjdevries/colorbuddy.nvim)
- [norcalli/nvim-base16.lua](https://github.com/norcalli/nvim-base16.lua) ![](https://img.shields.io/github/stars/norcalli/nvim-base16.lua) ![](https://img.shields.io/github/last-commit/norcalli/nvim-base16.lua) ![](https://img.shields.io/github/commit-activity/y/norcalli/nvim-base16.lua)
- [rktjmp/lush.nvim](https://github.com/rktjmp/lush.nvim) ![](https://img.shields.io/github/stars/rktjmp/lush.nvim) ![](https://img.shields.io/github/last-commit/rktjmp/lush.nvim) ![](https://img.shields.io/github/commit-activity/y/rktjmp/lush.nvim)
- [Iron-E/nvim-highlite](https://github.com/Iron-E/nvim-highlite) ![](https://img.shields.io/github/stars/Iron-E/nvim-highlite) ![](https://img.shields.io/github/last-commit/Iron-E/nvim-highlite) ![](https://img.shields.io/github/commit-activity/y/Iron-E/nvim-highlite)
- [ThemerCorp/themer.lua](https://github.com/themercorp/themer.lua) ![](https://img.shields.io/github/stars/ThemerCorp/themer.lua) ![](https://img.shields.io/github/last-commit/ThemerCorp/themer.lua) ![](https://img.shields.io/github/commit-activity/y/ThemerCorp/themer.lua)
- [NTBBloodbath/color-converter.nvim](https://github.com/NTBBloodbath/color-converter.nvim) ![](https://img.shields.io/github/stars/NTBBloodbath/color-converter.nvim) ![](https://img.shields.io/github/last-commit/NTBBloodbath/color-converter.nvim) ![](https://img.shields.io/github/commit-activity/y/NTBBloodbath/color-converter.nvim)
